package com.zj365.health.model

import com.xty.common.util.CommonToastUtils

class BloodBean {
    var bpTime:String=""  //时间
    var hsbp:String="" //高压
    var hdbp:String="" //低压
    override fun toString(): String {
        return "BloodBean(time='$bpTime', gdbg='$hsbp', ddbg='$hdbp')"
    }

    fun dataIsOk():Boolean{
        if(bpTime.isNullOrEmpty()){
            CommonToastUtils.showToast("数据不完整")
            return false
        }
        if(hsbp.isNullOrEmpty()){
            CommonToastUtils.showToast("数据不完整")
            return false
        }

        if (hsbp.toFloat() > 260.0){
            CommonToastUtils.showToast("请确认测量数据是否准确，如高压值>260则填写260")
            return false
        }

        if(hdbp.isNullOrEmpty()){
            CommonToastUtils.showToast("数据不完整")
            return false
        }

        if (hdbp.toFloat() > 150.0){
            CommonToastUtils.showToast("请确认测量数据是否准确，如低压值>150则填写150")
            return false
        }
        return true
    }
}